From: [email-masked] (Guyang Huang)
Date: Sat, 9 Dec 89 18:30:19 EST

>From umvlsi!m2c!husc6!wuarchive!usc!apple!agate!shelby!med!hanauma!rick Sat Dec  9 18:18:49 EST 1989
Article 28348 of soc.culture.china:
Path: umvlsi!m2c!husc6!wuarchive!usc!apple!agate!shelby!med!hanauma!rick
>From: rick@hanauma (Richard Ottolini)
Newsgroups: soc.culture.china
Subject: Re: public domain Chinese word processing and fonts (long)
Message-ID: <[email-masked]>
Date: 8 Dec 89 17:26:20 GMT
Sender: [email-masked] (USENET News System)
Reply-To: rick@hanauma (Richard Ottolini)
Organization: Stanford University, Dept. of Geophysics
Lines: 320

A group from Singapore just posted an X-Windows Asian languages terminal
package on expo.lcs.mit.edu.  Thanks!  New items in addition to the
material described on SCC last summer include a traditional font and
Zhu Yin Fu Hao index (phonetic).   The author's description follows shortly.

Note that a terminal emulator is not a word processor.  Word processors
have editing, formatting, file management, and printing capabilities in
addition to terminal display.

I am still looking for other indexes to Chinese fonts than single-syllable
phonetic.  I haven't seen a stroke-based index in the public domain, nor
a full word (multi-syllable) index.  Full word indexes guess characters better
than single syllable.

/*----------------------------------------------------------------------*/
 *	This is a simple usage document to tell you how to use our	*
 *	Multilingual X Window software package. Please refer to the	*	
 *	original X documets for those utilities (e.g. xfd) which	* 
 *	haven't been explained carefully here.				*
 *									*
 *	If you have any problems about the package, please don't	*	
 *	hestitate to contact us.					*
 *									*
 *	Multilingual X Window Group, 					*
 *	Institute of Systems Science					*
 *	National University of Singapore				*
 *	Singapore 0511							*
 *									*
 *	Bitnet Address: ISSMLX@NUSVM					*
 *      Bugs Report to: HU Xian Xiang & ZENG Yu				*
 *									*
 *	NOVEMBER 1989							*
/*----------------------------------------------------------------------*/

I.  THE PACKAGE COMPONENTS

This Multi-Lingual(ML) X Window package includes the following key parts:

ML XTERM Window
An Common Input Window
ML Fonts
A ML Calls Library
ML Input Tables
Utilities for Font Management

For all the existing X applications and widgets, if they are required to 
support ML characters, all of them should be modified.

II.  MLXTERM

MLXTERM is derived from XTERM of MIT X11R2. Mlxterm provides a ML input/
output emulator terminal environment, and includes tty I/O with ML internal 
code. 

II.1 Since the original XTERM does not support varied-width font, when more 
than one fonts are used in Mlxterm, one requirement exists: the width of 
character in all non-ASCII fonts should double that of character in ASCII 
fonts. Otherwise, a ugly-looking display may appear.

II.2 Because the CTRL key + Right Mouse Button is not used in the original 
XTERM, Mlxterm uses this key-combination to set the window to ML Receiving 
Mode (or MLR mode). The functions of other keyboard and mouse events are 
compatible with XTERM.

II.3 When the Mlxterm window is in MLR mode, the mouse cursor is a box labelled `ISS'. If the mouse leaves the Mlxterm window, the flag 'ML' will be displayed 
in reverse mode at the upper left corner of the window indicating that the 
window is in MLR mode.

II.4 If another window is selected as the Ml input window, namely the CTRL+RightButton event happens in that window, the MLR mode in the current window will be automatically cancelled. Meanwhile, the `ML' flag in the upper left corner disappears. T